class TelPathsHacker expands Actor;

var NavigationPoint T;
var Int I;

event prebeginplay()
{
	bHidden=True;
	InitialState = 'TelTracking';
}

function ScanAndSet()
{
	local Teleporter T;

	ForEach AllActors (class'Teleporter', T)
	{
		if ( T.Class != Class'Engine.Teleporter'
		&& T.Class != Class'UnrealShare.FavoritesTeleporter'
		&& T.Class != Class'BotPack.VisibleTeleporter' )
			continue;
		if ( Len(T.URL) > 1 && !T.bEnabled && T.ExtraCost <= 10 )
		{
//			BroadCastMessage("Blocking Paths Through Inactive Teleporter"@T.name );
			T.ExtraCost = 100000000;
			log (Self.Name@"blocking"@T.Name@"with URL"@T.URL);
		}
		else if ( T.bEnabled && T.ExtraCost > 10 )
		{
//			BroadCastMessage("UnBlocking Paths Through Active Teleporter"@T.name,False,'MonsterCriticalEvent');
			T.ExtraCost = 8;
//			log (Self.Name@"unblocking"@T.Name@"with URL"@T.URL,'PathsHacker');
		}
	}
}

State() TelTracking
{
Begin:
	Sleep(3.00);
//	log ("Test");
	bHidden = True;
Loop:
	if ( Level.Game != None && Level.Game.bGameEnded )
		GoTo('End');
	ScanAndSet();
	Sleep(3.00);
	GoTo('Loop');
End:
	GoToState('');
}

defaultproperties
{
	bGameRelevant=True
}