class PathBlocker expands Keypoint;

event PreBeginPlay()
{}

event PostBeginPlay()
{
	InitialState = 'SetPoints';
}

function EnableWayPoints()
{
	local NavigationPoint N;

	foreach RadiusActors(class'NavigationPoint',N,CollisionRadius*2,Location )
	{
		if ( N.ExtraCost >= 1000 )
			N.ExtraCost = 0;
	}
}

function Trigger(Actor Other, Pawn EventInstigator)
{
	local NavigationPoint N;

	foreach RadiusActors(class'NavigationPoint',N,CollisionRadius*2,Location )
	{
		if (N.ExtraCost < 10)
			N.ExtraCost = 100000000;
	}
	Disable('Trigger');
	Disable('UnTrigger');
}

auto state SetPoints
{
Begin:
	Sleep(3.00);
	EnableWayPoints();
	GoToState('');
}

defaultproperties
{
	bStatic=False
	bMovable=False
	CollisionRadius=40
	CollisionHeight=40
	bCollideWorld=False
	bCollideWhenPlacing=False
	bGameRelevant=True
}