class PathProtector expands Keypoint;

event PreBeginPlay()
{}

event PostBeginPlay()
{
	InitialState = 'SetPoints';
}

function DisableWayPoints()
{
	local NavigationPoint N;

	foreach RadiusActors(class'NavigationPoint',N,CollisionRadius*2,Location )
	{
		N.ExtraCost = 100000000;
	}
}

function Trigger(Actor Other, Pawn EventInstigator)
{
	local NavigationPoint N;

	foreach RadiusActors(class'NavigationPoint',N,CollisionRadius*2,Location )
	{
		N.ExtraCost = 0;
	}
	Disable('Trigger');
	Disable('Untrigger');
}

auto state SetPoints
{
Begin:
	Sleep(3.00);
	DisableWayPoints();
	GoToState('');
}

defaultproperties
{
	bStatic=False
	bMovable=False
	CollisionRadius=40
	CollisionHeight=40
	bCollideWorld=False
	bCollideWhenPlacing=False
	bGameRelevant=True
}