//=============================================================================
// Shoot_It.
//=============================================================================
class Shoot_It expands Actor;

var() string AName;

event PostBeginPlay()
{
	InitialState = 'TrackShooting';
}

function ShootThatPil()
{
	local Bot aBot;
	local Actor D;

	if ( AName ~= "" )
		goto NoShoot;

	foreach RadiusActors (class 'Bot', aBot, 700, Location)
	{
		if ( !aBot.bHidden && aBot.Health > 0 && aBot.Enemy == None 
		&& Mover(aBot.Base) == None )
		{
			foreach RadiusActors (class 'Actor', D, 1500 ,aBot.Location )
			{
				if ( string(D.Name) ~= AName )
				{
					if (FastTrace(aBot.Location,D.Location))
					{
						aBot.ShootTarget(D);
						break;
					}
				}
			}
		}
	}
NoShoot:
}

auto state trackshooting
{
Begin:
	Sleep (1.00);
Looping:
	ShootThatPil();
	Sleep(4.00);
	if ( Level.Game.bGameEnded )
		Goto('End');
	GoTo('Looping');
End:
	LifeSpan=0.2;
	GoToState('');
}

defaultproperties
{
	bGameRelevant=True
	bHidden=True
	bMovable=False
}
