class TouchProtector expands Keypoint;

event PreBeginPlay()
{}

event PostBeginPlay()
{
	InitialState = 'SetPoints';
}

function DisableWayPoints()
{
	local Keypoint K;

	foreach RadiusActors(class'Keypoint',K,CollisionRadius*2,Location )
	{
		if ( K != Self )
		{
			K.SetCollision(False);
			K.Disable('Touch');
			K.Disable('UnTouch');
		}
	}
}

function Trigger(Actor Other, Pawn EventInstigator)
{
	local Keypoint K;

	foreach RadiusActors(class'Keypoint', K, CollisionRadius*2,Location )
	{
		if ( K != Self )
		{
			K.SetCollision(True);
			K.Enable('Touch');
			K.Enable('UnTouch');
		}
	}
}

auto state SetPoints
{
Begin:
	Sleep(3.00);
	DisableWayPoints();
	GoToState('');
}

defaultproperties
{
	bStatic=False
	bMovable=False
	CollisionRadius=40
	CollisionHeight=40
	bCollideWorld=False
	bCollideWhenPlacing=False
	bGameRelevant=True
}