class ThingsNotify expands SpawnNotify;

function prebeginplay(); //don't check for relevance

simulated function PostBeginPlay()
{
	local actor other;

	//Don't add to notifylist if server, but keep available, so it's existence is replicated to clients
	if (Level.NetMode == NM_DedicatedServer) //mutator works on server. We keep moving in client
		GoTo Done;
	Super.PostBeginPlay();
	log ("Deco Notify Initialized...",'CrystalMine3');
	SpawnOtherStuff();
Done:
}

simulated function SpawnOtherStuff()
{
	local Rotator NewRot;

	NewRot.Yaw=8192;
	Spawn(class'CryM3',,,vect(-19648,-6976,3264),NewRot);
	NewRot.Yaw=16384;
	Spawn(class'E_U',,,vect(-13178,-7426,120),NewRot);
	NewRot.Yaw=0;
	NewRot.Roll=-2824;
	Spawn(class'Row',,,vect(-12098,-12343,-872),NewRot);
}

defaultproperties
{
}